Skip to content
Get started

Delete structured sheet

DELETE/v1/structured-sheets/{structured_sheet_id}

Delete a structured sheet conversion and its associated exports. This action cannot be undone.

Path ParametersExpand Collapse
structured_sheet_id: string

The unique identifier of the structured sheet conversion.

ReturnsExpand Collapse
id: string

The unique identifier of the deleted structured sheet.

deleted: true

Whether the structured sheet was successfully deleted.

object: "structured_sheet"

The object type, which is always 'structured_sheet'.

Delete structured sheet

curl https://api.deeptable.com/v1/structured-sheets/$STRUCTURED_SHEET_ID \
    -X DELETE \
    -H "Authorization: Bearer $DEEPTABLE_API_KEY"
{
  "id": "ss_01kfxgjd94fn9stqm42nejb627",
  "deleted": true,
  "object": "structured_sheet"
}
Returns Examples
{
  "id": "ss_01kfxgjd94fn9stqm42nejb627",
  "deleted": true,
  "object": "structured_sheet"
}